Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Can't find a way to install sphinx. It's asking for libmysqlclient.so.15, which I have... What else can i do?

This is what I've tried already

[root@server1 ~]# rpm -ivh sphinx-2.0.3-1.el5.x86_64.rpm
error: Failed dependencies:
        libmysqlclient.so.15()(64bit) is needed by sphinx-2.0.3-1.rhel5.x86_64
        libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by sphinx-2.0.3-1.rhel5.x86_64

[root@server3 hooks]# ls -l /usr/lib64/libmysqlclient.so*
lrwxrwxrwx 1 root root      20 Jun 29 09:57 /usr/lib64/libmysqlclient.so -> libmysqlclient.so.18
-rwxr-xr-x 1 root root 1474856 Dec 24 01:37 /usr/lib64/libmysqlclient.so.15
lrwxrwxrwx 1 root root      24 Jun 29 09:57 /usr/lib64/libmysqlclient.so.18 -> libmysqlclient.so.18.0.0
-rwxr-xr-x 1 root root 6853576 May 11  2011 /usr/lib64/libmysqlclient.so.18.0.0
[root@server3 hooks]# ls -l /usr/lib/libmysqlclient.so*
lrwxrwxrwx 1 root root 28 Jan 12  2010 /usr/lib/libmysqlclient.so -> /usr/lib64/libmysqlclient.so
lrwxrwxrwx 1 root root 26 Dec 24 12:18 /usr/lib/libmysqlclient.so.15 -> /usr/lib/libmysqlclient.so
lrwxrwxrwx 1 root root 20 Dec 24 12:22 /usr/lib/libmysqlclient.so.18 -> libmysqlclient.so.15
share|improve this question
add comment

2 Answers

according to a post in the sphinx forum try the follwing:

Try installing the Mysql-shared-compat if there is one

install the old centos 5 mysqlclient15 rpm from remi to make this work.

share|improve this answer
add comment

I have searched a lot but didn't get any solution for libmysqlclient.so.15 problem. According to this page the only solution is to install from source.

share|improve this answer
    
Whilst this may theoretically answer the question, it would be preferable to include the essential parts of the answer here, and provide the link for reference. –  Scott Pack Oct 19 '12 at 22:49
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.